Available buyer market: Korea
Cash back rule information can be searched at an optionID level.
If an optionID (vendorItemId) without cash back is searched, either 404 or 400 error is returned.
Path
GET
/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/products/items/cashback
Example Endpoint
https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v4/vendors/A00012345/products/items/cashback?ruleId=1&vendorItemId=3000000005
Request Parameters
Path Segment Parameter
| Name | Required | Type | Description | ||||
|---|---|---|---|---|---|---|---|
| vendorId | O | String |
Seller ID
Unique code issued by Coupang to the seller
예) A00012345
|
||||
Query String Parameter
| Name | Required | Type | Description | ||||
|---|---|---|---|---|---|---|---|
| ruleId | O | Number |
Rule ID
Input a rule ID given after the cash back contract is signed
|
||||
| vendorItemId | O | Number |
Option ID
|
||||
Request Example
not require body
Response Message
| Name | Type | Description | ||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|
| code | Number |
Http request status code
EX) 200, 400, 500
|
||||||||||
| message | String |
Result message based on success or failure
|
||||||||||
| data | Object |
|
||||||||||
| ruleId | Number |
Rule ID
|
||||||||||
| valueType | String |
Cash back type
FIXED, FIXED_WITH_QUANTITY
|
||||||||||
| value | Number |
Cashback amount
Minimum 1
|
||||||||||
| maxAmount | String |
Max cash back amount
Minimum 0, Parameter not required if FIXED or FIXED_WITH_QUANTITY.
|
||||||||||
| vendorItemId | Number |
Option ID
|
||||||||||
| startAt | String |
시작일
형태 yyyy-MM-dd HH:mm:ss
|
||||||||||
| endAt | String |
End date
Format: yyyy-MM-dd HH:mm:ss
|
||||||||||
| disabled | boolean |
Whether cash back rule can be applied or not
|
||||||||||
| disabledAt | String |
The date where cash back rule cannot be applied
Format: yyyy-MM-dd HH:mm:ss
|
||||||||||
Response Example
{
"code": "200",
"message": "OK",
"data": {
"vendorItemId": "3000000005",
"vendorId": "A00012345",
"valueType": "FIXED",
"value": 1000,
"startAt": "2016-12-29 09:43:54",
"maxAmount": 0,
"ruleId": 1,
"endAt": "2017-01-01 09:43:54",
"disabledAt": null,
"disabled": false
}
}
Error Spec
| HTTP Status Code (Error Type) | Error Message | Solution |
|---|---|---|
| 404 (Check parameter requested) | Can not find promotion with given condition vendorItemId : 7015***6995 | Check whether cash back is applied to the optionID (vendorItemId). |
| 400 (Check parameter requested) |
VendorItemId can't be null |
Check whether Option ID (VendorItemId) is correctly input. |
| 400 (Check parameter requested) | Invalid vendorItemId, vendorItemId doesn't exist or doesn't belong to corresponding vendorId | Check whether the optionID (VendorItemID) is correct or cash back is applied. |
URL API Name
GET_PRODUCT_CASHBACK